#ifndef _MNEMONCS_DEF_H 
#define _MNEMONICS_DEF_H

#define AAA 1
#define AAD 2
#define AAM 3
#define AAS 4
#define ADC 5
#define ADCB 6
#define ADCL 7
#define ADCW 8
#define ADD 9
#define ADDB 10
#define ADDL 11
#define ADDW 12
#define AND 13
#define ANDB 14
#define ANDL 15
#define ANDW 16
#define ARPL 17
#define BOUND 18
#define BOUNDL 19
#define BOUNDW 20
#define BSF 21
#define BSFL 22
#define BSFW 23
#define BSR 24
#define BSRL 25
#define BSRW 26
#define BSWAP 27
#define BT 28
#define BTC 29
#define BTCL 30
#define BTCW 31
#define BTL 32
#define BTR 33
#define BTRL 34
#define BTRW 35
#define BTS 36
#define BTSL 37
#define BTSW 38
#define BTW 39
#define CALL 40
#define CBTW 41
#define CBW 42
#define CDQ 43
#define CLC 44
#define CLD 45
#define CLI 46
#define CLTD 47
#define CLTS 48
#define CMC 49
#define CMP 50
#define CMPB 51
#define CMPL 52
#define CMPS 53
#define CMPSB 54
#define CMPSL 55
#define CMPSW 56
#define CMPW 57
#define CMPXCHG 58
#define CMPXCHG8B 59
#define CMPXCHGB 60
#define CMPXCHGL 61
#define CMPXCHGW 62
#define CWD 63
#define CWDE 64
#define CWTD 65
#define CWTL 66
#define DAA 67
#define DAS 68
#define DEC 69
#define DECB 70
#define DECL 71
#define DECW 72
#define DIV 73
#define DIVB 74
#define DIVL 75
#define DIVW 76
#define ENTER 77
#define F2XM1 78
#define FABS 79
#define FADD 80
#define FADDL 81
#define FADDP 82
#define FADDS 83
#define FBLD 84
#define FBSTP 85
#define FCHS 86
#define FCLEX 87
#define FCOM 88
#define FCOML 89
#define FCOMP 90
#define FCOMPL 91
#define FCOMPP 92
#define FCOMPS 93
#define FCOS 94
#define FDECSTP 95
#define FDIV 96
#define FDIVL 97
#define FDIVP 98
#define FDIVR 99
#define FDIVRL 100
#define FDIVRP 101
#define FDIVRS 102
#define FDIVRW 103
#define FDIVS 104
#define FDIVW 105
#define FFREE 106
#define FIADD 107
#define FIADDL 108
#define FIADDS 109
#define FICOM 110
#define FICOML 111
#define FICOMP 112
#define FICOMPL 113
#define FICOMPS 114
#define FICOMS 115
#define FIDIV 116
#define FIDIVL 117
#define FIDIVR 118
#define FIDIVRL 119
#define FIDIVRS 120
#define FIDIVS 121
#define FILD 122
#define FILDL 123
#define FILDLL 124
#define FILDW 125
#define FIMUL 126
#define FIMULL 127
#define FIMULS 128
#define FINCSTP 129
#define FINIT 130
#define FIST 131
#define FISTL 132
#define FISTP 133
#define FISTPL 134
#define FISTPLL 135
#define FISTPS 136
#define FISTS 137
#define FISUB 138
#define FISUBL 139
#define FISUBR 140
#define FISUBRL 141
#define FISUBRS 142
#define FISUBS 143
#define FLD 144
#define FLD1 145
#define FLDCW 146
#define FLDENV 147
#define FLDL 148
#define FLDL2E 149
#define FLDL2T 150
#define FLDLG2 151
#define FLDLN2 152
#define FLDPI 153
#define FLDS 154
#define FLDT 155
#define FLDZ 156
#define FMUL 157
#define FMULL 158
#define FMULP 159
#define FMULS 160
#define FMULW 161
#define FNCLEX 162
#define FNINIT 163
#define FNOP 164
#define FNSAVE 165
#define FNSAVED 166
#define FNSAVEW 167
#define FNSTCW 168
#define FNSTENV 169
#define FNSTENVD 170
#define FNSTENVW 171
#define FNSTSW 172
#define FPATAN 173
#define FPREM 174
#define FPREM1 175
#define FPTAN 176
#define FRNDINT 177
#define FRSTOR 178
#define FSAVE 179
#define FSCALE 180
#define FSETPM 181
#define FSIN 182
#define FSINCOS 183
#define FSQRT 184
#define FST 185
#define FSTCW 186
#define FSTENV 187
#define FSTL 188
#define FSTP 189
#define FSTPL 190
#define FSTPS 191
#define FSTPT 192
#define FSTPW 193
#define FSTS 194
#define FSTSW 195
#define FSTW 196
#define FSUB 197
#define FSUBL 198
#define FSUBP 199
#define FSUBR 200
#define FSUBRL 201
#define FSUBRP 202
#define FSUBRS 203
#define FSUBRW 204
#define FSUBS 205
#define FTST 206
#define FUCOM 207
#define FUCOMP 208
#define FUCOMPP 209
#define FWAIT 210
#define FXAM 211
#define FXCH 212
#define FXTRACT 213
#define FYL2X 214
#define FYL2XP1 215
#define HLT 216
#define IDIV 217
#define IDIVB 218
#define IDIVL 219
#define IDIVW 220
#define IMUL 221
#define IMULB 222
#define IMULL 223
#define IMULW 224
#define IN 225
#define INB 226
#define INC 227
#define INCB 228
#define INCL 229
#define INCW 230
#define INL 231
#define INS 232
#define INSB 233
#define INSD 234
#define INSL 235
#define INSW 236
#define INT 237
#define INT3 238
#define INTO 239
#define INVD 240
#define INVLPG 241
#define INW 242
#define IRET 243
#define IRETF 244
#define JA 245
#define JAE 246
#define JB 247
#define JBE 248
#define JC 249
#define JCXZ 250
#define JE 251
#define JECXZ 252
#define JG 253
#define JGE 254
#define JL 255
#define JLE 256
#define JMP 257
#define JNA 258
#define JNAE 259
#define JNB 260
#define JNBE 261
#define JNC 262
#define JNE 263
#define JNG 264
#define JNGE 265
#define JNL 266
#define JNLE 267
#define JNO 268
#define JNP 269
#define JNS 270
#define JNZ 271
#define JO 272
#define JP 273
#define JPE 274
#define JPO 275
#define JS 276
#define JZ 277
#define LAHF 278
#define LAR 279
#define LARL 280
#define LARW 281
#define LCALL 282
#define LDS 283
#define LDSL 284
#define LDSW 285
#define LEA 286
#define LEAL 287
#define LEAVE 288
#define LEAW 289
#define LES 290
#define LESL 291
#define LESW 292
#define LFS 293
#define LFSL 294
#define LFSW 295
#define LGDT 296
#define LGS 297
#define LGSL 298
#define LGSW 299
#define LIDT 300
#define LIRET 301
#define LJMP 302
#define LLDT 303
#define LMSW 304
#define LODS 305
#define LODSB 306
#define LODSD 307
#define LODSL 308
#define LODSW 309
#define LOOP 310
#define LOOPE 311
#define LOOPNE 312
#define LOOPNZ 313
#define LOOPZ 314
#define LRET 315
#define LSL 316
#define LSLL 317
#define LSLW 318
#define LSS 319
#define LSSL 320
#define LSSW 321
#define LTR 322
#define MOV 323
#define MOVB 324
#define MOVL 325
#define MOVS 326
#define MOVSB 327
#define MOVSBL 328
#define MOVSBW 329
#define MOVSBWL 330
#define MOVSL 331
#define MOVSW 332
#define MOVSWL 333
#define MOVW 334
#define MOVZB 335
#define MOVZBL 336
#define MOVZBW 337
#define MOVZWL 338
#define MUL 339
#define MULB 340
#define MULL 341
#define MULW 342
#define NEG 343
#define NEGB 344
#define NEGL 345
#define NEGW 346
#define NOP 347
#define NOT 348
#define NOTB 349
#define NOTL 350
#define NOTW 351
#define OR 352
#define ORB 353
#define ORL 354
#define ORW 355
#define OUT 356
#define OUTB 357
#define OUTL 358
#define OUTS 359
#define OUTSB 360
#define OUTSD 361
#define OUTSL 362
#define OUTSW 363
#define OUTW 364
#define POP 365
#define POPA 366
#define POPAL 367
#define POPAW 368
#define POPF 369
#define POPFL 370
#define POPFW 371
#define POPL 372
#define POPW 373
#define PUSH 374
#define PUSHA 375
#define PUSHAL 376
#define PUSHAW 377
#define PUSHF 378
#define PUSHFL 379
#define PUSHFW 380
#define PUSHL 381
#define PUSHW 382
#define RCL 383
#define RCLB 384
#define RCLL 385
#define RCLW 386
#define RCR 387
#define RCRB 388
#define RCRL 389
#define RCRW 390
#define RET 391
#define ROL 392
#define ROLB 393
#define ROLL 394
#define ROLW 395
#define ROR 396
#define RORB 397
#define RORL 398
#define RORW 399
#define SAHF 400
#define SAL 401
#define SALB 402
#define SALL 403
#define SALW 404
#define SAR 405
#define SARB 406
#define SARL 407
#define SARW 408
#define SBB 409
#define SBBB 410
#define SBBL 411
#define SBBW 412
#define SCAS 413
#define SCASB 414
#define SCASL 415
#define SCASW 416
#define SETA 417
#define SETAE 418
#define SETB 419
#define SETBE 420
#define SETC 421
#define SETE 422
#define SETG 423
#define SETGE 424
#define SETL 425
#define SETLE 426
#define SETNA 427
#define SETNAE 428
#define SETNB 429
#define SETNBE 430
#define SETNC 431
#define SETNE 432
#define SETNG 433
#define SETNGE 434
#define SETNL 435
#define SETNLE 436
#define SETNO 437
#define SETNP 438
#define SETNS 439
#define SETNZ 440
#define SETO 441
#define SETP 442
#define SETPE 443
#define SETPO 444
#define SETS 445
#define SETZ 446
#define SGDT 447
#define SHL 448
#define SHLB 449
#define SHLD 450
#define SHLDL 451
#define SHLDW 452
#define SHLL 453
#define SHLW 454
#define SHR 455
#define SHRB 456
#define SHRD 457
#define SHRL 458
#define SHRW 459
#define SIDT 460
#define SLDT 461
#define SMOVB 462
#define SMOVL 463
#define SMOVW 464
#define SMSW 465
#define STC 466
#define STD 467
#define STI 468
#define STOS 469
#define STOSB 470
#define STOSL 471
#define STOSW 472
#define STR 473
#define SUB 474
#define SUBB 475
#define SUBL 476
#define SUBW 477
#define TEST 478
#define TESTB 479
#define TESTL 480
#define TESTW 481
#define VERR 482
#define VERW 483
#define WAIT 484
#define WBINVD 485
#define XADD 486
#define XADDB 487
#define XADDL 488
#define XADDW 489
#define XCHG 490
#define XCHGB 491
#define XCHGL 492
#define XCHGW 493
#define XLAT 494
#define XLATB 495
#define XOR 496
#define XORB 497
#define XORL 498
#define XORW 499

 #endif /* _MNEMONICS_DEF_H */

