/* 
 * Please read the COPYRIGHT notice included at the top level
 */
#ifndef	_WRITE_H
#define	_WRITE_H

/*
 * write.h,v 1.1.1.1 1996/07/18 22:39:59 arsharma Exp
 * Macros and function prototypes for write.c
 */

/* take care when incrementing pointers to circular buffers */
#define	INC_OPB_PTR(i) ( (i) = ((i) + 1) % OPB_SIZE)

#define	DEC_OPB_PTR(i) ((((i) -	1) == -1) ? (OPB_SIZE -	1):\
			 ((i) -	1))

/* some files may peek into the output_buffer */
extern char *output_buffer;

/* prototypes */

int put_buf (char c);
int flush (int till_here);
int skip (int till_here);
int alloc_output_buf ();
int save_pos ();
int insert_text (char *text, int here);
int end_line (int point);
int start_line ();
void augment_done (instr_t *instr);

#endif /* _WRITE_H */
