#include "mint.h"
static int Debug_print;
static mint_time_t Debug_time;
static mint_time_t Debug_cpu_time;
static int Debug_paddr;
static int Debug_pid = -1;
void
debug_print(char *str)
{
    if (Debug_print)
        printf("%s", str);
}
void
debug_task(task_ptr ptask)
{
    if (Debug_time > 0 && ptask->time >= Debug_time)
        debug_print("got here 1\n");
    if (Debug_cpu_time > 0 && ptask->pevent
        && (Debug_pid == -1 || Debug_pid == ptask->pid)
        && *ptask->pevent->cpu_time >= Debug_cpu_time)
        debug_print("got here 3\n");
    if (Debug_paddr > 0 && ptask->pevent
        && (Debug_pid == -1 || Debug_pid == ptask->pid)
        && ptask->pevent->paddr == Debug_paddr)
        debug_print("got here 4\n");
}
